%global _empty_manifest_terminate_build 0
Name:           python-ruamel-yaml
Version:        0.17.21
Release:        1
Summary:        ruamel.yaml is a YAML parser/emitter that supports roundtrip preservation of comments, seq/map flow style, and map key order
License:        MIT
URL:            https://sourceforge.net/p/ruamel-yaml/code/ci/default/tree
Source0:        https://files.pythonhosted.org/packages/46/a9/6ed24832095b692a8cecc323230ce2ec3480015fbfa4b79941bd41b23a3c/ruamel.yaml-0.17.21.tar.gz
BuildArch:      noarch
Patch0001:      0000-fix-big-endian-issues.patch
%description
ruamel.yaml ruamel.yaml is a YAML 1.2 loader/dumper package for Python.

%package -n python3-ruamel-yaml
Summary:        ruamel.yaml is a YAML parser/emitter that supports roundtrip preservation of comments, seq/map flow style, and map key order
Provides:       python-ruamel-yaml
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-ruamel-yaml-clib

%description -n python3-ruamel-yaml
ruamel.yaml ruamel.yaml is a YAML 1.2 loader/dumper package for Python.

%package help
Summary:        ruamel.yaml is a YAML parser/emitter that supports roundtrip preservation of comments, seq/map flow style, and map key order
Provides:       python3-ruamel-yaml-doc
%description help
ruamel.yaml ruamel.yaml is a YAML 1.2 loader/dumper package for Python.

%prep
%autosetup -n ruamel.yaml-%{version} -p1

%build
%py3_build

%install
export RUAMEL_NO_PIP_INSTALL_CHECK=1
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

##Tests are not included in the upstream tarball
#%check
#PYTHONPATH=$(echo build/lib) py.test-%{python3_version} _test/test_*.py

%files -n python3-ruamel-yaml -f filelist.lst
%dir %{python3_sitelib}/*

%files help
%defattr(-,root,root)
%doc README.rst CHANGES

%changelog
*Tue Oct 25 2022 xu_ping <xuping33@h-partners.com> - 0.17.21-1
- Upgrade python3-ruamel-yaml to version 0.17.21

* Mon Mar 2 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.16.5-1
- Package init
